Subject: Re: linux-next: build failure after merge of the rdma tree

From: Dennis Dalessandro <[email-masked]>
Date: Thu, 25 Jul 2019 14:32:44 -0400

On 7/8/2019 12:08 PM, Jason Gunthorpe wrote:
> On Mon, Jul 08, 2019 at 12:57:25PM +1000, Stephen Rothwell wrote:
>> Hi all,
>>
>> After merging the rdma tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> In file included from <command-line>:32:
>> ./usr/include/rdma/rvt-abi.h:13:10: fatal error: rdma/ib_verbs.h: No such file or directory
>>   #include <rdma/ib_verbs.h>
>>            ^~~~~~~~~~~~~~~~~
>>
>> Caused by commits
>>
>>    dabac6e460ce ("IB/hfi1: Move receive work queue struct into uapi directory")
>>
>> interacting with commit
>>
>>    0c422a3d4e1b ("kbuild: compile-test exported headers to ensure they are self-contained")
>>
>> from the kbuild tree.
>>
>> You can't reference the include/linux headers from uapi headers ...
>>
>> I have used the rmda tree from 20190628 again today (given the previous
>> errors).
> 
> This is a bug that will break our userspace package too, we must fix
> it, very happy to see the functionality in "kbuild: compile-test
> exported headers to ensure they are self-contained"
> 
> Dennis, you must put stuff in rdma-core and run the rdma-core CI if
> you are messing with the uapi headers.

Sorry for the delay, I've been on vacation the past few weeks, just now 
seeing this...

I'm pretty sure Kamenee did when she prepared the patches in the first 
place and sent the PR. Not sure where things went off the rails but 
we'll be more careful in the future. Thanks for fixing.

-Denny